package com.zfire.jiasm.syncdata.service.impl;

import com.zfire.jiasm.syncdata.service.InstallDownloadService;
import com.zfire.jiasm.syncdata.service.OrderDownService;
import com.zfire.jiasm.syncdata.service.RepairDownloadService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;


@Slf4j
@Service
public class OrderDownServiceImpl implements OrderDownService {
    @Value("${netfsxc}")
    private String netfsxc = "";

    @Autowired
    InstallDownloadService installDownloadService;
    @Autowired
    RepairDownloadService repairDownloadService;



    @Override
    public void syncData() throws Exception {

        // 下载安装工单数据
        processInstallDownload();

        // 下载维修工单数据
        processRepairDownload();
    }




    // 1：下载安装工单数据
    public void processInstallDownload() throws Exception {
        installDownloadService.processInstallDownload();
    }


    // 下载维修工单数据
    public void processRepairDownload() throws Exception {
        repairDownloadService.processRepairDownload();
    }



}
